//the document.ready method is called when the page is fully loaded
$(document).ready(function()
{

//the ajax (Asynchronous Javascript and XML) function let's you load data from an XML file
  $.ajax({
    type: "GET",
    url: "gallery.xml", //this is the xml file you want to load
    dataType: "xml",
    success: parseXml
  });

//this function is called when the xml document is successfully loaded
	function parseXml(xml)
	{
	
	  //find each photo node in the xml file
	  $(xml).find("photo").each(function()
	  {
		//turn the xml nodes into variables to make them easier to use
		$caption = $(this).find("caption").text();
		$path = $(this).find("path").text();
		
		//add the li element to the unordered list with an image tag containing the path
		$("#thumbnails").append("<li id='"+$path+"' title='"+$caption+"'><img src='images/"+$path+"' /></li>");
	  });
	  
	  //this is where we set the initial values of the full sized image and caption, taking them from the first thumbnail
	  $("#fullimg").attr("src","images/"+$("#thumbnails li:first").attr("id"));
	  $("#caption").html($("#thumbnails li:first").attr("title"));

		//this reacts to the mouse click event
	  $("#thumbnails li").click(function() {
	  		//this sets the src attribute of the full sized image based on the thumbnail that was clicked
			$("#fullimg").attr("src","images/"+$(this).attr("id"));
			
			//this sets the html of the caption element based on the thumbnail that was clicked
			$("#caption").html($(this).attr("title"));
		});
	}


});